<html>

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/css/bootstrap.css">
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.3/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.1.0/css/buttons.dataTables.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-toast-plugin/1.3.2/jquery.toast.min.css"
    integrity="sha512-wJgJNTBBkLit7ymC6vvzM1EcSWeM9mmOu+1USHaRBbHkm6W9EgM0HY27+UtUaprntaYQJF75rc8gjxllKs5OIQ=="
    crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link type="text/css" rel="stylesheet" href="https://www.gstatic.com/firebasejs/ui/6.0.0/firebase-ui-auth.css" />

<body>

    <div>

        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="#">NIA Hydrological Data</a>
            <button type="button" class="btn btn-primary ml-auto mr-1" data-toggle="modal" data-target="#addModal">
                Add
            </button>
            <a href="https://docs.google.com/spreadsheets/d/1xDMURl8_1rnb4Rxf_Hp2g7sKRboloineeHVo9xEQWQk/edit?usp=sharing"
                target="_blank" class="btn btn-success ">
                View Record
            </a>

        </nav>
    </div>
    <div class="container-fluid">
        <table id="example" class="table display nowrap " style="width:100%">
            <thead>
                <tr>

                    <th scope="col">Date</th>
                    <th scope="col">Elevation</th>
                    <th scope="col">Casecnan</th>
                    <th scope="col">Inflow CMS</th>
                    <th scope="col">Irrigation Tunnel</th>
                    <th scope="col">MHEP Spillway</th>
                    <th scope="col">MHEP Turbine Discharge</th>
                    <th scope="col">PHEP Turbine Discharge</th>
                    <th scope="col">Rain Fall</th>
                    <th scope="col">Settings</th>

                </tr>
            </thead>
        </table>

    </div>



    <!-- ADD Modal -->
    <div class="modal fade" id="addModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Add new record</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="container">
                        <form>
                            <div class="form-group">
                                <label for="exampleInputEmail1">Date</label>
                                <input type="date" class="form-control" id="date" aria-describedby="emailHelp"
                                    placeholder="Enter email">
                            </div>
                            <div class="form-group">
                                <label for="exampleInputPassword1">Elevation</label>
                                <input type="number" class="form-control" id="elevation" placeholder="Elevation">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">Casecnan</label>
                                <input type="number" class="form-control" id="casecnan" placeholder="Casecnan">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">Inflow CMS</label>
                                <input type="number" class="form-control" id="inflow_cms" placeholder="Inflow CMS">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">Irrigation Tunnel</label>
                                <input type="number" class="form-control" id="irrigation_tunnel"
                                    placeholder="Irrigation Tunnel">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">MHEP Spillway</label>
                                <input type="number" class="form-control" id="mhep_spillway" placeholder="MHEP Spillway">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">MHEP Turbine Discharge</label>
                                <input type="number" class="form-control" id="mhep_turbine_discharge"
                                    placeholder="MHEP Turbine Discharge">
                            </div>


                            <div class="form-group">
                                <label for="exampleInputPassword1">PHEP Turbine Discharge</label>
                                <input type="number" class="form-control" id="phep_turbine_discharge"
                                    placeholder="PHEP Turbine Discharge">
                            </div>


                            <div class="form-group">
                                <label for="exampleInputPassword1">Rain Fall</label>
                                <input type="number" class="form-control" id="rain_fall" placeholder="Rain Fall">
                            </div>
                        </form>

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" id="createNew">Submit</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal" id="deleteModal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Delete Record</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Are you sure you want to delete this record? </p>
                    <h3 id="warningText"></h3>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" id="deleteButton">Delete</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <!-- UpdateModal -->
    <div class="modal fade" id="updateModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Update record</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="container">
                        <form>
                            <div class="form-group">
                                <label for="exampleInputEmail1">Date</label>
                                <input type="date" class="form-control disabled" id="dateUpdate" aria-describedby="emailHelp"
                                    placeholder="Enter Date">
                            </div>
                            <div class="form-group">
                                <label for="exampleInputPassword1">Elevation</label>
                                <input type="number" class="form-control" id="elevationUpdate" placeholder="Elevation">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">Casecnan</label>
                                <input type="number" class="form-control" id="casecnanUpdate" placeholder="Casecnan">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">Inflow CMS</label>
                                <input type="number" class="form-control" id="inflow_cmsUpdate" placeholder="Inflow CMS">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">Irrigation Tunnel</label>
                                <input type="number" class="form-control" id="irrigation_tunnelUpdate"
                                    placeholder="Irrigation Tunnel">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">MHEP Spillway</label>
                                <input type="number" class="form-control" id="mhep_spillwayUpdate"
                                    placeholder="MHEP Spillway">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">MHEP Turbine Discharge</label>
                                <input type="number" class="form-control" id="mhep_turbine_dischargeUpdate"
                                    placeholder="MHEP Turbine Discharge">
                            </div>


                            <div class="form-group">
                                <label for="exampleInputPassword1">PHEP Turbine Discharge</label>
                                <input type="number" class="form-control" id="phep_turbine_dischargeUpdate"
                                    placeholder="PHEP Turbine Discharge">
                            </div>


                            <div class="form-group">
                                <label for="exampleInputPassword1">Rain Fall</label>
                                <input type="number" class="form-control" id="rain_fallUpdate" placeholder="Rain Fall">
                            </div>
                        </form>

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" id="updateButton">Submit</button>
                </div>
            </div>
        </div>
    </div>
    <script src="https://www.gstatic.com/firebasejs/8.10.0/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.10.0/firebase-firestore.js"></script>
    <script src="https://www.gstatic.com/firebasejs/ui/6.0.0/firebase-ui-auth.js"></script>


    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>

    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap4.min.js"></script>

    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-toast-plugin/1.3.2/jquery.toast.min.js"
        integrity="sha512-zlWWyZq71UMApAjih4WkaRpikgY9Bz1oXIW5G0fED4vk14JjGlQ1UmkGM392jEULP8jbNMiwLWdM8Z87Hu88Fw=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <!--  <script src="https://cdn.datatables.net/buttons/2.1.0/js/dataTables.buttons.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
       <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
        <script src="https://cdn.datatables.net/buttons/2.1.0/js/buttons.html5.min.js"></script>
        <script src="https://cdn.datatables.net/buttons/2.1.0/js/buttons.print.min.js"></script>-->
    <script>
        var firebaseConfig = {
            apiKey: "AIzaSyAHj5gYplmgo1NXThG-klzEmMutQO3CUbY",
            authDomain: "hydro-cd6b2.firebaseapp.com",
            projectId: "hydro-cd6b2",
            storageBucket: "hydro-cd6b2.appspot.com",
            messagingSenderId: "309918346614",
            appId: "1:309918346614:web:16505ffa97c5e4062b9e57",
            measurementId: "G-Q3YRTWTTDL"
        };
        // Initialize Firebase
        firebase.initializeApp(firebaseConfig);

        var db = firebase.firestore();
        var ui = new firebaseui.auth.AuthUI(firebase.auth());

    </script>
    <script>
        $(document).ready(function () {
            var table = $('#example').DataTable({
                /**          dom: 'Bfrtip',
              buttons: [
                    'csv' , 'print'
                ],**/
                "columnDefs": [{
                    "targets": -1,
                    "defaultContent": '<button id="edit"   class="button btn-primary btn-edit"   >Edit</button>' +
                        ' <button   id="delete"  class="button btn-danger">Delete</button>',

                }],
                "fnCreatedRow": function (nRow, aData, iDataIndex) {
                    $(nRow).attr('id', aData[0]);
                }
            });

            var routeStepsRef = db.collection("hydro").onSnapshot(function (querySnapshot) {
                querySnapshot.docChanges().forEach(function (change) {
                    switch (change.type) {
                        case "added":
                            console.log("Added address: ", change.doc.data());

                            var data = change.doc.data()

                            table.row.add([

                                data.date,
                                data.elevation,
                                data.casecnan,
                                data.inflow_cms,
                                data.irrigation_tunnel,
                                data.mhep_spillway,
                                data.mhep_turbine_discharge,
                                data.phep_turbine_discharge,
                                data.rain_fall
                            ]).draw();
                            break;
                        case "modified":
                            console.log("Modified address: ", change.doc.data());
                            var data = change.doc.data()
                            table.row($("tr#" + data.date)).data([
                                data.date,
                                data.elevation,
                                data.casecnan,
                                data.inflow_cms,
                                data.irrigation_tunnel,
                                data.mhep_spillway,
                                data.mhep_turbine_discharge,
                                data.phep_turbine_discharge,
                                data.rain_fall
                            ]).draw();
                            $.toast(
                                {
                                    heading: 'Warning',
                                    text: data.date + " is updated!",
                                    showHideTransition: 'slide',
                                    icon: 'warning',
                                    position: 'top-right',

                                }
                            )

                            break;
                        case "removed":
                            console.log("Removed address: ", change.doc.data());
                            var data = change.doc.data()
                            table.row($("tr#" + data.date)).remove().draw();
                            $.toast(
                                {
                                    heading: 'Danger',
                                    text: data.date + " is deleted!",
                                    showHideTransition: 'slide',
                                    icon: 'danger',
                                    position: 'top-right',

                                }
                            )
                            break;
                    }
                });
            });
            $('#example tbody').on('click', 'button#edit', function () {
                var data = table.row($(this).parents('tr')).data();
                $("#updateModal").modal('show')
                $("#dateUpdate").val(data[0]),
                    $("#elevationUpdate").val(data[1]),
                    $("#casecnanUpdate").val(data[2]),
                    $("#inflow_cmsUpdate").val(data[3]),
                    $("#irrigation_tunnelUpdate").val(data[4]),
                    $("#mhep_spillwayUpdate").val(data[5]),
                    $("#mhep_turbine_dischargeUpdate").val(data[6]),
                    $("#rain_fallUpdate").val(data[8]),
                    $("#phep_turbine_dischargeUpdate").val(data[7])

            });

            $('#example tbody').on('click', 'button#delete', function () {
                var data = table.row($(this).parents('tr')).data();
                $("#deleteModal").modal('show')
                $("#warningText").text(data[0])


            });


            $("#updateButton").click(function () {

                var data = {
                    "date": $("#dateUpdate").val(),
                    "elevation": $("#elevationUpdate").val(),
                    "casecnan": $("#casecnanUpdate").val(),
                    "inflow_cms": $("#inflow_cmsUpdate").val(),
                    "irrigation_tunnel": $("#irrigation_tunnelUpdate").val(),
                    "mhep_spillway": $("#mhep_spillwayUpdate").val(),
                    "mhep_turbine_discharge": $("#mhep_turbine_dischargeUpdate").val(),
                    "rain_fall": $("#rain_fallUpdate").val(),
                    "phep_turbine_discharge": $("#phep_turbine_dischargeUpdate").val()

                };

                table.row($("tr#" + data.date)).data([
                    data.date,
                    data.elevation,
                    data.casecnan,
                    data.inflow_cms,
                    data.irrigation_tunnel,
                    data.mhep_spillway,
                    data.mhep_turbine_discharge,
                    data.phep_turbine_discharge,
                    data.rain_fall
                ]).draw();

                db.collection("hydro").doc($("#dateUpdate").val()).update(data);
                $("#updateModal").modal('hide')

            });

            $("#deleteButton").click(function () {

                db.collection("hydro").doc($("#warningText").text()).delete();
                table.row($("tr#" + $("#warningText").text())).remove().draw();
                $("#deleteModal").modal('hide')

            });

        });




        $("#createNew").click(function () {

            var data = {
                "date": $("#date").val(),
                "elevation": $("#elevation").val(),
                "casecnan": $("#casecnan").val(),
                "inflow_cms": $("#inflow_cms").val(),
                "irrigation_tunnel": $("#irrigation_tunnel").val(),
                "mhep_spillway": $("#mhep_spillway").val(),
                "mhep_turbine_discharge": $("#mhep_turbine_discharge").val(),
                "rain_fall": $("#rain_fall").val(),
                "phep_turbine_discharge": $("#phep_turbine_discharge").val()

            };


            db.collection("hydro").doc($("#date").val()).set(data);
            $("#addModal").modal('hide')
            $.toast(
                                {
                                    heading: 'Success',
                                    text: data.date + " is added!",
                                    showHideTransition: 'slide',
                                    icon: 'success',
                                    position: 'top-right',

                                }
                            )
        });



    </script>

    <script>

    </script>

</body>

</html>